## gnu.regexp
Class REFilterInputStream

    java.lang.Object
      java.io.InputStream
          java.io.FilterInputStream
              gnu.regexp.REFilterInputStream

public class REFilterInputStream
extends FilterInputStream

Replaces instances of a given RE with replacement text.

Since:
  gnu.regexp 1.0.5

Field Summary

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`REFilterInputStream(InputStream f_stream, RE f_expr, String f_replace)` Creates an REFilterInputStream.

Method Summary
`boolean` `markSupported()` Returns false.
`int` `read()` Reads the next byte from the stream per the general contract of InputStream.read().
`int` `read(byte[] b)` Reads from the stream into the provided array.
`int` `read(byte[] b, int off, int len)` Reads from the stream into the provided array.

Methods inherited from class java.io.FilterInputStream
`available, close, mark, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### REFilterInputStream

    public REFilterInputStream(InputStream f_stream,
                               RE f_expr,
                               String f_replace)

  Creates an REFilterInputStream. When reading from this stream, occurrences of patterns matching the supplied regular expression will be replaced with the supplied replacement text (the metacharacters $0 through $9 may be used to refer to the full match or subexpression matches.

Parameters:
  `f_stream` - The InputStream to be filtered.
  `f_expr` - The regular expression to search for.
  `f_replace` - The text pattern to replace matches with.

Method Detail

### read

    public int read()

  Reads the next byte from the stream per the general contract of InputStream.read(). Returns -1 on error or end of stream.

### markSupported

    public boolean markSupported()

  Returns false. REFilterInputStream does not support mark() and reset() methods.

### read

    public int read(byte[] b,
                    int off,
                    int len)

  Reads from the stream into the provided array.

### read

    public int read(byte[] b)

  Reads from the stream into the provided array.